package com.benyun.core.service;

import com.benyun.core.entity.bo.*;
import com.benyun.core.entity.vo.ListQueryBody;
import com.github.pagehelper.PageInfo;

import java.util.List;

public interface BrandService {
    List<BrandSearch> searchByLikeName(String text);
    BrandInfo searchByBrandId(String brandId);
    BrandProperty searchPropertyByBrandId(String brandId);
    List<BrandSimilar> searchSimilarByBrandId(String brandId);
    List<BrandStatus> searchStatusByBrandId(String brandId);
    BrandDistribution searchDistributionByBrandId(String brandId);
    List<BrandProvinceBo> searchProvinceByBrandId(String brandId);
    BrandDisCloud searchDisCloudByBrandId(String brandId);
    PageInfo<List<BrandSearch>> searchListByMulti(ListQueryBody body, String userId);
    List<BrandTotal> searchTotal(Integer pageSize);
//    BStoreData searchAvgScoreByBrandId(String brandId);
//    List<BrandAddrDistribution> searchAddrDistribution(List<String> addrCodes);
    List<BrandGeoLabelBo> searchGeoLabel(String brandId);
}
